Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2701)

Issue 2836093002: Make Android notifications rely on the native notification flag (Closed)

Created:
2 years, 4 months ago by Miguel Garcia
Modified:
2 years, 4 months ago
Reviewers:
Peter Beverloo
CC:
chromium-reviews, Peter Beverloo, chromium-apps-reviews_chromium.org, mlamouri+watch-notifications_chromium.org, awdf+watch_chromium.org, extensions-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Make Android notifications rely on the native notification flag Right now we have specific ifdefs for android as opposed to just relying on ENABLE_NATIVE_NOTIFICATIONS + features::kNativeNotifications like all other platforms. BUG= Review-Url: https://codereview.chromium.org/2836093002 Cr-Commit-Position: refs/heads/master@{#467316} Committed: https://chromium.googlesource.com/chromium/src/+/484fd1babac290f3e34b4d61b6bf716049fe536a

Patch Set 1 #

Patch Set 2 : Update paths #

Total comments: 2

Patch Set 3 : Add an additional check for Android #

Unified diffs Side-by-side diffs Delta from patch set Stats (+11 lines, -11 lines) Patch
M chrome/browser/notifications/notification_common.cc View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/notifications/notification_display_service_factory.cc View 1 2 1 chunk +8 lines, -5 lines 0 comments Download
M chrome/browser/notifications/platform_notification_service_unittest.cc View 1 1 chunk +1 line, -5 lines 0 comments Download
M chrome/common/chrome_features.cc View 1 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 19 (14 generated)
Miguel Garcia
2 years, 4 months ago (2017-04-25 16:23:47 UTC) #11
Peter Beverloo
lgtm https://codereview.chromium.org/2836093002/diff/20001/chrome/browser/notifications/notification_display_service_factory.cc File chrome/browser/notifications/notification_display_service_factory.cc (right): https://codereview.chromium.org/2836093002/diff/20001/chrome/browser/notifications/notification_display_service_factory.cc#newcode52 chrome/browser/notifications/notification_display_service_factory.cc:52: // Note that for android this flag must ...
2 years, 4 months ago (2017-04-25 16:31:29 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2836093002/40001
2 years, 4 months ago (2017-04-26 13:18:40 UTC) #15
commit-bot: I haz the power
Committed patchset #3 (id:40001) as https://chromium.googlesource.com/chromium/src/+/484fd1babac290f3e34b4d61b6bf716049fe536a
2 years, 4 months ago (2017-04-26 14:08:54 UTC) #18
Miguel Garcia
2 years, 4 months ago (2017-05-03 07:11:33 UTC) #19
Message was sent while issue was closed.
https://codereview.chromium.org/2836093002/diff/20001/chrome/browser/notifica...
File chrome/browser/notifications/notification_display_service_factory.cc
(right):

https://codereview.chromium.org/2836093002/diff/20001/chrome/browser/notifica...
chrome/browser/notifications/notification_display_service_factory.cc:52: // Note
that for android this flag must always be true.
On 2017/04/25 16:31:29, Peter Beverloo wrote:
> DCHECK?

As discussed offline in addition to the DCHECK I added some code to protect us
against someone accidentally disabling the flag in finch and crash all android
browsers as a result.

Powered by Google App Engine
This is Rietveld 408576698